Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPANPLUS::Module::Fake

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPANPLUS::Module::Fake

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - new( module => $mod, path => $path, package => $pkg, [_id => DIGIT] )

# NAME

CPANPLUS::Module::Fake - fake module object for internal use

# SYNOPSIS

        my $obj = CPANPLUS::Module::Fake->new(                module  => 'Foo',                path    => 'ftp/path/to/foo',                author  => CPANPLUS::Module::Author::Fake->new,                package => 'fake-1.1.tgz',                _id     => $cpan->_id,            );

# DESCRIPTION

A class for creating fake module objects, for shortcut use internally by CPANPLUS.

Inherits from `CPANPLUS::Module` .

# METHODS

## new( module => $mod, path => $path, package => $pkg, [_id => DIGIT] )

Creates a dummy module object from the above parameters. It can take more options (same as `CPANPLUS::Module->new` but the above are required.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - new( module => $mod, path => $path, package => $pkg, [_id => DIGIT] )